#
# spec file for package python-boto3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-boto3
Version:        1.7.42
Release:        15.1
Url:            https://github.com/boto/boto3
Summary:        Amazon Web Services Library
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/b/boto3/boto3-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-futures
BuildRequires:  python-setuptools
Requires:       python-botocore < 1.11.0
Requires:       python-botocore >= 1.10.42
Requires:       python-futures
Requires:       python-jmespath < 1.0.0
Requires:       python-jmespath >= 0.7.1
Requires:       python-s3transfer < 0.2.0
Requires:       python-s3transfer >= 0.1.10
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Boto3 is the Amazon Web Services (AWS) Software Development Kit (SDK) for
Python, which allows Python developers to write software that makes use of
services like Amazon S3 and Amazon EC2.

For documentation consult the online documentation at
http://boto3.readthedocs.org/en/latest/

# Note to maintainers also familia with python-boto:
# The documentation generation requires access to AWS, thus it is not
# possible to generate the documentation in OBS

%prep
%setup -q -n boto3-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root,-)
%doc CONTRIBUTING.rst LICENSE README.rst 
%{python_sitelib}/*

%changelog
* Thu Jun 21 2018 adrian.glaubitz@suse.com
- Version update to 1.7.42 (bsc#1075263)
  * api-change:``acm-pca``: [``botocore``] Update acm-pca client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
- from version 1.7.41
  * api-change:``rekognition``: [``botocore``] Update rekognition client to latest version
- from version 1.7.40
  * api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version
- from version 1.7.39
  * api-change:``iotanalytics``: [``botocore``] Update iotanalytics client to latest version
  * api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
  * api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
- from version 1.7.38
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
- from version 1.7.37
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
  * api-change:``devicefarm``: [``botocore``] Update devicefarm client to latest version
- from version 1.7.36
  * api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``clouddirectory``: [``botocore``] Update clouddirectory client to latest version
- from version 1.7.35
  * api-change:``mediatailor``: [``botocore``] Update mediatailor client to latest version
- from version 1.7.34
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
- from version 1.7.33
  * api-change:``polly``: [``botocore``] Update polly client to latest version
  * api-change:``ce``: [``botocore``] Update ce client to latest version
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
  * api-change:``shield``: [``botocore``] Update shield client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
- from version 1.7.32
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
  * api-change:``mgh``: [``botocore``] Update mgh client to latest version
  * api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version
  * api-change:``appstream``: [``botocore``] Update appstream client to latest version
  * api-change:``eks``: [``botocore``] Update eks client to latest version
- from version 1.7.31
  * api-change:``ds``: [``botocore``] Update ds client to latest version
  * api-change:``mediatailor``: [``botocore``] Update mediatailor client to latest version
  * api-change:``sns``: [``botocore``] Update sns client to latest version
  * api-change:``redshift``: [``botocore``] Update redshift client to latest version
  * api-change:``iot``: [``botocore``] Update iot client to latest version
- from version 1.7.30
  * api-change:``neptune``: [``botocore``] Update neptune client to latest version
  * api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
- from version 1.7.29
  * api-change:``pi``: [``botocore``] Update pi client to latest version
- from version 1.7.28
  * api-change:``iot``: [``botocore``] Update iot client to latest version
  * api-change:``config``: [``botocore``] Update config client to latest version
  * api-change:``appstream``: [``botocore``] Update appstream client to latest version
  * api-change:``glue``: [``botocore``] Update glue client to latest version
- from version 1.7.27
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
  * api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
- from version 1.7.26
  * api-change:``inspector``: [``botocore``] Update inspector client to latest version
  * enhancement:Credentials: [``botocore``] Disable proxy configuration when fetching container credentials
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
- from version 1.7.25
  * api-change:``cloudformation``: [``botocore``] Update cloudformation client to latest version
- from version 1.7.24
  * api-change:``iot``: [``botocore``] Update iot client to latest version
  * api-change:``ses``: [``botocore``] Update ses client to latest version
- from version 1.7.23
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``cognito-idp``: [``botocore``] Update cognito-idp client to latest version
  * api-change:``codedeploy``: [``botocore``] Update codedeploy client to latest version
- from version 1.7.22
  * api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
- from version 1.7.21
  * api-change:``config``: [``botocore``] Update config client to latest version
- from version 1.7.20
  * api-change:``organizations``: [``botocore``] Update organizations client to latest version
  * api-change:``iot1click-devices``: [``botocore``] Update iot1click-devices client to latest version
  * api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
  * api-change:``iot1click-projects``: [``botocore``] Update iot1click-projects client to latest version
- from version 1.7.19
  * api-change:``firehose``: [``botocore``] Update firehose client to latest version
- from version 1.7.18
  * api-change:``gamelift``: [``botocore``] Update gamelift client to latest version
- from version 1.7.17
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``budgets``: [``botocore``] Update budgets client to latest version
- from version 1.7.16
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
- from version 1.7.15
  * api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
  * api-change:``s3``: [``botocore``] Update s3 client to latest version
  * api-change:``budgets``: [``botocore``] Update budgets client to latest version
  * api-change:``es``: [``botocore``] Update es client to latest version
- from version 1.7.14
  * api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
- from version 1.7.13
  * api-change:``config``: [``botocore``] Update config client to latest version
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
  * api-change:``appsync``: [``botocore``] Update appsync client to latest version
- from version 1.7.12
  * api-change:``acm``: [``botocore``] Update acm client to latest version
  * api-change:``codepipeline``: [``botocore``] Update codepipeline client to latest version
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
- from version 1.7.11
  * api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
  * api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
  * api-change:``route53domains``: [``botocore``] Update route53domains client to latest version
  * api-change:``workspaces``: [``botocore``] Update workspaces client to latest version
  * api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
  * api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
- from version 1.7.10
  * api-change:``glacier``: [``botocore``] Update glacier client to latest version
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
- from version 1.7.9
  * api-change:``rekognition``: [``botocore``] Update rekognition client to latest version
  * api-change:``xray``: [``botocore``] Update xray client to latest version
  * api-change:``codedeploy``: [``botocore``] Update codedeploy client to latest version
- from version 1.7.8
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
  * api-change:``elasticbeanstalk``: [``botocore``] Update elasticbeanstalk client to latest version
- from version 1.7.7
  * api-change:``iotanalytics``: [``botocore``] Update iotanalytics client to latest version
  * api-change:``iot``: [``botocore``] Update iot client to latest version
  * api-change:``autoscaling-plans``: [``botocore``] Update autoscaling-plans client to latest version
- from version 1.7.6
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
  * api-change:``firehose``: [``botocore``] Update firehose client to latest version
- from version 1.7.5
  * api-change:``ce``: [``botocore``] Update ce client to latest version
  * api-change:``codepipeline``: [``botocore``] Update codepipeline client to latest version
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``devicefarm``: [``botocore``] Update devicefarm client to latest version
  * bugfix:dynamodb: Fixes a bug causing dynamodb operations with no output to throw errors.
- from version 1.7.4
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``workmail``: [``botocore``] Update workmail client to latest version
  * api-change:``dms``: [``botocore``] Update dms client to latest version
  * api-change:``mediapackage``: [``botocore``] Update mediapackage client to latest version
  * api-change:``glue``: [``botocore``] Update glue client to latest version
- from version 1.7.3
  * api-change:``clouddirectory``: [``botocore``] Update clouddirectory client to latest version
- from version 1.7.2
  * api-change:``batch``: [``botocore``] Update batch client to latest version
- from version 1.7.1
  * enhancement:shield: [``botocore``] Added paginator for list_protections operation.
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
- from version 1.7.0
  * api-change:``s3``: [``botocore``] Update s3 client to latest version
  * api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
  * api-change:``acm``: [``botocore``] Update acm client to latest version
  * api-change:``config``: [``botocore``] Update config client to latest version
  * api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
  * api-change:``secretsmanager``: [``botocore``] Update secretsmanager client to latest version
  * api-change:``acm-pca``: [``botocore``] Update acm-pca client to latest version
  * api-change:``cloudwatch``: [``botocore``] Update cloudwatch client to latest version
  * feature:s3: Add support for S3 Select. Amazon S3 Select is an Amazon S3 feature that makes it easy to retrieve specific data from the contents of an object using simple SQL expressions without having to retrieve the entire object. With this release of the Amazon S3 SDK, S3 Select API (SelectObjectContent) is now generally available in all public regions. This release supports retrieval of a subset of data using SQL clauses, like SELECT and WHERE, from delimited text files and JSON objects in Amazon S3 through the SelectObjectContent API available in AWS S3 SDK.
  * api-change:``fms``: [``botocore``] Update fms client to latest version
- from version 1.6.23
  * api-change:``lambda``: [``botocore``] Update lambda client to latest version
  * api-change:``devicefarm``: [``botocore``] Update devicefarm client to latest version
  * api-change:``translate``: [``botocore``] Update translate client to latest version
- from version 1.6.22
  * api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
  * api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
  * api-change:``es``: [``botocore``] Update es client to latest version
- from version 1.6.21
  * api-change:``connect``: [``botocore``] Update connect client to latest version
  * api-change:``acm``: [``botocore``] Update acm client to latest version
- from version 1.6.20
  * api-change:``greengrass``: [``botocore``] Update greengrass client to latest version
  * api-change:``cloudformation``: [``botocore``] Update cloudformation client to latest version
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
- from version 1.6.19
  * api-change:``mturk``: [``botocore``] Update mturk client to latest version
  * api-change:``sts``: [``botocore``] Update sts client to latest version
  * api-change:``iam``: [``botocore``] Update iam client to latest version
- from version 1.6.18
  * api-change:``acm``: [``botocore``] Update acm client to latest version
- from version 1.6.17
  * api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
  * bugfix:``s3``: [``botocore``] Fix bug where invalid head_object requests would cause an infinite loop (alternate fix to `#1400 <https://github.com/boto/botocore/issues/1400>`__)
- from version 1.6.16
  * api-change:``rds``: [``botocore``] Update rds client to latest version
- from version 1.6.15
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
  * api-change:``appstream``: [``botocore``] Update appstream client to latest version
  * api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
- from version 1.6.14
  * bugfix:``s3``: [``botocore``] Fix regression in redirects in using wrong region
- from version 1.6.13
  * bugfix:s3: [``botocore``] Fixed a bug where head object and bucket calls would attempt redirects incorrectly.
  * api-change:``serverlessrepo``: [``botocore``] Update serverlessrepo client to latest version
- from version 1.6.12
  * api-change:``ce``: [``botocore``] Update ce client to latest version
  * enhancement:Credentials: [``botocore``] Add the ability to disable fetching credentials from EC2 metadata by setting the environment variable AWS_EC2_METADATA_DISABLED to 'true'.
  * api-change:``config``: [``botocore``] Update config client to latest version
  * api-change:``elasticbeanstalk``: [``botocore``] Update elasticbeanstalk client to latest version
  * api-change:``glue``: [``botocore``] Update glue client to latest version
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
  * bugfix:Credentials: [``botocore``] Fix a race condition related to assuming a role for the first time (`#1405 <https://github.com/boto/botocore/pull/1405>`__)
  * api-change:``events``: [``botocore``] Update events client to latest version
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
- from version 1.6.11
  * api-change:``elasticbeanstalk``: [``botocore``] Update elasticbeanstalk client to latest version
- from version 1.6.10
  * api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
  * api-change:``organizations``: [``botocore``] Update organizations client to latest version
  * api-change:``pinpoint``: [``botocore``] Update pinpoint client to latest version
- from version 1.6.9
  * api-change:``lightsail``: [``botocore``] Update lightsail client to latest version
- from version 1.6.8
  * api-change:``servicediscovery``: [``botocore``] Update servicediscovery client to latest version
- from version 1.6.7
  * api-change:``cloudhsmv2``: [``botocore``] Update cloudhsmv2 client to latest version
  * api-change:``discovery``: [``botocore``] Update discovery client to latest version
  * api-change:``iot``: [``botocore``] Update iot client to latest version
  * api-change:``redshift``: [``botocore``] Update redshift client to latest version
- from version 1.6.6
  * api-change:``pinpoint``: [``botocore``] Update pinpoint client to latest version
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``mgh``: [``botocore``] Update mgh client to latest version
- from version 1.6.5
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
- from version 1.6.4
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
- from version 1.6.3
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
  * api-change:``events``: [``botocore``] Update events client to latest version
  * api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
- from version 1.6.2
  * api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
- from version 1.6.1
  * api-change:``ecr``: [``botocore``] Update ecr client to latest version
- from version 1.6.0
  * enhancement:Stubber: [``botocore``] Added the ability to add items to response metadata with the stubber.
  * api-change:``sts``: [``botocore``] Update sts client to latest version
  * api-change:``route53``: [``botocore``] Update route53 client to latest version
  * feature:``s3``: [``botocore``] Default to virtual hosted addressing regardless of signature version (boto/botocore`#1387 <https://github.com/boto/botocore/issues/1387>`__)
- from version 1.5.36
  * api-change:``appstream``: [``botocore``] Update appstream client to latest version
- from version 1.5.35
  * api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
  * api-change:``ce``: [``botocore``] Update ce client to latest version
- from version 1.5.34
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``serverlessrepo``: [``botocore``] Update serverlessrepo client to latest version
  * api-change:``codecommit``: [``botocore``] Update codecommit client to latest version
- from version 1.5.33
  * api-change:``autoscaling``: [``botocore``] Update autoscaling client to latest version
  * api-change:``waf-regional``: [``botocore``] Update waf-regional client to latest version
  * api-change:``waf``: [``botocore``] Update waf client to latest version
- from version 1.5.32
  * api-change:``config``: [``botocore``] Update config client to latest version
- from version 1.5.31
  * api-change:``rds``: [``botocore``] Update rds client to latest version
- from version 1.5.30
  * api-change:``mediaconvert``: [``botocore``] Update mediaconvert client to latest version
  * api-change:``gamelift``: [``botocore``] Update gamelift client to latest version
- from version 1.5.29
  * api-change:``appsync``: [``botocore``] Update appsync client to latest version
  * api-change:``lex-models``: [``botocore``] Update lex-models client to latest version
- from version 1.5.28
  * api-change:``glacier``: [``botocore``] Update glacier client to latest version
  * api-change:``route53``: [``botocore``] Update route53 client to latest version
- from version 1.5.27
  * api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
  * api-change:``cognito-idp``: [``botocore``] Update cognito-idp client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``kms``: [``botocore``] Update kms client to latest version
- from version 1.5.26
  * api-change:``lex-runtime``: [``botocore``] Update lex-runtime client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``lex-models``: [``botocore``] Update lex-models client to latest version
- from version 1.5.25
  * api-change:``ds``: [``botocore``] Update ds client to latest version
  * api-change:``appstream``: [``botocore``] Update appstream client to latest version
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
  * api-change:``budgets``: [``botocore``] Update budgets client to latest version
  * api-change:``gamelift``: [``botocore``] Update gamelift client to latest version
  * api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
  * api-change:``dms``: [``botocore``] Update dms client to latest version
  * api-change:``mediastore``: [``botocore``] Update mediastore client to latest version
- from version 1.5.24
  * api-change:``servicediscovery``: [``botocore``] Update servicediscovery client to latest version
  * api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``glue``: [``botocore``] Update glue client to latest version
- from version 1.5.23
  * api-change:``cloud9``: [``botocore``] Update cloud9 client to latest version
  * api-change:``acm``: [``botocore``] Update acm client to latest version
  * api-change:``kinesis``: [``botocore``] Update kinesis client to latest version
  * api-change:``opsworks``: [``botocore``] Update opsworks client to latest version
- from version 1.5.22
  * api-change:``mturk``: [``botocore``] Update mturk client to latest version
  * api-change:``medialive``: [``botocore``] Update medialive client to latest version
  * api-change:``devicefarm``: [``botocore``] Update devicefarm client to latest version
- from version 1.5.21
  * api-change:``lambda``: [``botocore``] Update lambda client to latest version
  * api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
  * api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
  * bugfix:Presign: [``botocore``] Fix issue where some events were not fired during the presigning of a request thus not including a variety of customizations (`#1340 <https://github.com/boto/botocore/issues/1340>`__)
  * enhancement:Credentials: [``botocore``] Improved error message when the source profile for an assume role is misconfigured. Fixes aws/aws-cli`#2763 <https://github.com/aws/aws-cli/issues/2763>`__
  * api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
  * enhancment:Paginator: [``botocore``] Added paginators for a number of services where the result key is unambiguous.
- from version 1.5.20
  * api-change:``budgets``: [``botocore``] Update budgets client to latest version
- from version 1.5.19
  * api-change:``glue``: [``botocore``] Update glue client to latest version
  * api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
- from version 1.5.18
  * api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
- from version 1.5.17
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``autoscaling-plans``: [``botocore``] Update autoscaling-plans client to latest version
- from version 1.5.16
  * api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
  * api-change:``autoscaling-plans``: [``botocore``] Update autoscaling-plans client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
- from version 1.5.15
  * api-change:``lambda``: [``botocore``] Update lambda client to latest version
  * enhancement:cloudformation get_template template body ordering: [``botocore``] fixes boto/boto3`#1378 <https://github.com/boto/boto3/issues/1378>`__
- from version 1.5.14
  * api-change:``glue``: [``botocore``] Update glue client to latest version
- from version 1.5.13
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
  * api-change:``rds``: [``botocore``] Update rds client to latest version
  * api-change:``elb``: [``botocore``] Update elb client to latest version
- from version 1.5.12
  * api-change:``kms``: [``botocore``] Update kms client to latest version
- from version 1.5.11
  * api-change:``ds``: [``botocore``] Update ds client to latest version
- from version 1.5.10
  * api-change:``route53``: [``botocore``] Update route53 client to latest version
  * api-change:``discovery``: [``botocore``] Update discovery client to latest version
  * api-change:``codedeploy``: [``botocore``] Update codedeploy client to latest version
- from version 1.5.9
  * api-change:``ssm``: [``botocore``] Update ssm client to latest version
  * api-change:``inspector``: [``botocore``] Update inspector client to latest version
  * api-change:``snowball``: [``botocore``] Update snowball client to latest version
- from version 1.5.8
  * api-change:``rds``: [``botocore``] Update rds client to latest version
- from version 1.5.7
  * api-change:``workspaces``: [``botocore``] Update workspaces client to latest version
- from version 1.5.6
  * api-change:``ecs``: [``botocore``] Update ecs client to latest version
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * api-change:``inspector``: [``botocore``] Update inspector client to latest version
  * api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
- from version 1.5.5
  * api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  * enhancement:Paginator: [``botocore``] Added paginator support for lambda list aliases operation.
  * api-change:``kinesisanalytics``: [``botocore``] Update kinesisanalytics client to latest version
  * api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
- from version 1.5.4
  * api-change:``iot``: [``botocore``] Update iot client to latest version
  * api-change:``config``: [``botocore``] Update config client to latest version
- from version 1.5.3
  * api-change:``route53``: [``botocore``] Update route53 client to latest version
  * api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
  * api-change:``mediastore-data``: [``botocore``] Update mediastore-data client to latest version
- from version 1.5.2
  * bugfix:presigned-url: [``botocore``] Fixes a bug where content-type would be set on presigned requests for query services.
  * api-change:``cloudwatch``: [``botocore``] Update cloudwatch client to latest version
- from version 1.5.1
  * api-change:``appstream``: [``botocore``] Update appstream client to latest version
- from version 1.5.0
  * bugfix:Filters: Fixes a bug where parameters passed to resource collections could be mutated after the collections were created.
  * api-change:``ses``: [``botocore``] Update ses client to latest version
  * enhancement:credentials: [``botocore``] Moved the JSONFileCache from the CLI into botocore so that it can be used without importing from the cli.
  * feature:``botocore`` dependency: Update dependency strategy to always take a floor on the most recent version of ``botocore``. This means whenever there is a release of ``botocore``, ``boto3`` will release as well to account for the new version of ``botocore``.
  * api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
- from version 1.4.8
  * enhancement:``botocore``: Raised minor version dependency for botocore
- from version 1.4.7
  * enhancement:``botocore``: Raised minor version dependency for botocore
- from version 1.4.6
  * enhancement:Logging: Switch log levels from INFO to DEBUG (`#1208 <https://github.com/boto/boto3/issues/1208>`__)
- from version 1.4.5
  * enhancement:s3: Add a LifecycleConfiguration resource to resolve issues with the existing Lifecycle resource.
- Update Requires from setup.py
* Thu May 11 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update source URL.
- Update to version 1.4.4
  * feature:``s3``: Add ability to disable thread use with ``use_threads`` option
  * bugfix:Resource: Fix resource hashing.
* Wed Jan 18 2017 astieger@suse.com
- fetch upstream sources to fix Factory submission
* Thu Dec 15 2016 rjschwei@suse.com
- Update to version 1.4.2 (bsc#1015776)
  + feature:ec2: Update client to latest version
* Wed Oct 26 2016 rjschwei@suse.com
- Fix the version requirement for botocore to ensure proper functioning of
  the API
* Wed Oct 26 2016 rjschwei@suse.com
- Add missing dependency on python-s3transfer
* Tue Oct 25 2016 rjschwei@suse.com
- Update to version 1.4.1 (bsc#1007084)
  + feature:Session: Expose available_profiles property for Session
    (``#704 <https://github.com/boto/boto3/issues/704>`__)
  + bugfix:s3: Fix issue when transfers would not exit quickly from signals
  + bugfix:sqs.Queue: Fix issue in DeadLetterSourceQueues collection
- From 1.4.0
  + feature:DynamoDB: Add request auto de-duplication based on specified
    primary keys for batch_writer. (#605)
  + feature:s3: Add managed file-like object uploads to S3 client, Bucket,
    and Object.
  + bugfix:Session: Fixed Session.__repr__ region argument name.
  + feature:s3: Add managed copies to S3 client, Bucket, and Object.
  + feature:s3: Add managed downloads to file-like objects in the S3 client,
    Bucket, and Object.
  + bugfix:s3: Port s3.transfer module to use s3transfer package. Please
    refer to Upgrading Notes when upgrading. In porting the logic over,
    various performance issues and bugs were fixed.
  + feature:s3: Add io_chunksize parameter to TransferConfig
* Mon Jun  6 2016 dmueller@suse.com
- fix source url
* Thu Jun  2 2016 jacobwinski@gmail.com
- Update to 1.3.1
  + feature:S3: Add custom load to ObjectSummary
  + feature:Session: Add method to get session credentials
  + bugfix:DynamoDB: Ensure batch writer never sends more than flush_amount (#483)
  + feature:Resources: Add get_available_subresources to Resources (#113)
* Fri Apr  8 2016 rjschwei@suse.com
- Fix version requirement for botocore
* Fri Apr  8 2016 rjschwei@suse.com
- Update to version 1.3.0 (bsc#974705)
  + feature:Session: Add get_available_partitions and get_available_regions
    methods to determine partitions and a service's available regions.
  + feature:EC2: Update resource model to include Route resources. (issue 532)
- From 1.2.6 - (2016-03-01)
  + bugfix:Resources: Properly alias identifiers which are also in the shape.
- From 1.2.5 - (2016-02-25)
  + bugfix:S3: Forward extra_args when using multipart downloads. (issue 503)
- From 1.2.4 - (2016-02-18)
  + feature:EC2: Add delete_tags() action to Instance resource. (issue 459)
  + feature:Session: Add region_name property on session. (issue 414)
  + bugfix:S3: Fix issue with hanging downloads. (issue 471)
* Tue Feb  2 2016 rjschwei@suse.com
- Include in SLE 12 (FATE#320335,bsc#962170)
* Tue Jan 19 2016 rjschwei@suse.com
- Fix license string
* Fri Jan 15 2016 rjschwei@suse.com
- Initial build
  + Version 1.2.3
